Bug 603575 - [abrt] crash in shotwell-0.5.2-1.fc13: raise: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] crash in shotwell-0.5.2-1.fc13: raise: Process /usr/bin/shotwell was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:abee27abee00e73e8a3d67000f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 18:50 EDT by keith.flynn
Modified: 2011-06-27 14:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.50 KB, text/plain)
2010-06-13 18:50 EDT, keith.flynn
no flags Details

  None (edit)
Description keith.flynn 2010-06-13 18:50:07 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: shotwell file:///media/NO_NAME
comment: Crashed while trying to Import pictures from removable drive
component: shotwell
crash_function: raise
executable: /usr/bin/shotwell
global_uuid: abee27abee00e73e8a3d67000f5ae3717ab1a286
kernel: 2.6.33.5-112.fc13.x86_64
package: shotwell-0.5.2-1.fc13
rating: 4
reason: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 keith.flynn 2010-06-13 18:50:09 EDT
Created attachment 423704 [details]
File: backtrace
Comment 2 Michael Hampton 2010-06-28 11:33:17 EDT
Package: shotwell-0.5.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I plugged in my Motorola Droid and turned on USB storage. The popup window appeared and I chose Shotwell; the app never quite came up, but crashed instead.
Comment 3 Donald Edward Winslow 2010-06-29 19:02:17 EDT
Package: shotwell-0.5.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I opened Shotwell and connected my camera to the USB port. I clicked on the camera in the list on Shotwell and it showed the three photos. I clicked on one photo to select it, then I saw the button that says "Select all". I clicked that button and Shotwell disappeared and the ABRT dialog came up. I was not able to reproduce it.
Comment 4 Jan Wildeboer 2010-07-27 04:22:29 EDT
Package: shotwell-0.5.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Shotwell
2. Connect Google Nexus One phone via USB (non-rooted, running android 2.2)
3. Select Mass Storage Camera in tre view
4. Shotwell trieys to read directory but crashes after a few seconds
Comment 5 Adam Huffman 2010-08-08 08:42:42 EDT
Package: shotwell-0.5.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened Shotwell in response to a prompt when I plugged in my phone via USB
2. Select "Mass Storage Camera" in the menu on the left
3.


Comment
-----
Shotwell crashed when I tried to select my HTC Hero phone as a Mass Storage Camera device
Comment 6 Bug Zapper 2011-06-02 06:59:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 14:09:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.